#
# Map file loading

# Maximum map size is 24x17

# Area:
# . - nothing aka nothing at all
# G - ground aka walkeable tile
# W - wall aka blocking tile
# C - crate aka moveable blocking tile

# Doors:
# * - door that is opened by a button
# % - door that is opened by a key

# Items:
# K - key aka tile where a key lies
# T - trigger that lets the guards loose
# B - Button that opens door
# S - start point
# E - exit point

# Fliessband:
# U - moves player one tile up
# D - moves player one tile down
# L - moves player one tile left
# R - moves player one tile right


class Map:
    def __init__(self, filename):
        self.tilemap = []
        f = open('data/maps/'+filename, 'r')
        self.tileset = f.readline().rstrip()
        for line in f:
            row = []
            for chara in line:
                if chara != '\n' and chara != '\r':
                    row.append(chara)
            self.tilemap.append(row)
        f.close()

if __name__ == '__main__':
    m = Map('test.map')
    for i in m.tilemap:
        print i
